OldComp.cz

Komunitní diskuzní fórum pro fanoušky historických počítačů

Registrujte se zde!

Právě je 14 lis 2018, 08:30

Všechny časy jsou v UTC + 1 hodina




Odeslat nové téma Odpovědět na téma  [ Příspěvků: 13 ] 
Autor Zpráva
PříspěvekNapsal: 09 zář 2018, 16:27 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Poradil by prosim nekdo jak rozchodit emulaci Didaktik d80 ve Fuse na Raspberry PI ?
Mam nainstalovanou posledni verzi 1.1.1 a ta by podle popisu mela d80 umet.
Nicmene v zakladu /usr/share/spectrum-roms chybi didaktik ROMka.
Kdyz sem se pokousel nakopirovat tu co pouzivam na PC tak pry nemam opravneni.

Diky za pomoc

Chip


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 17:28 
Offline
Pan Štábní
Uživatelský avatar

Registrován: 23 bře 2014, 19:13
Příspěvky: 1607
Has thanked: 64 times
Been thanked: 274 times
Čím jí tam kopíruješ? Zkusil jsi spustit Midnight Commander pod rootem?

_________________
"When I designed Voyager, I did it on an Apple II with 48K of memory, and I wrote my own Basic program." - Burt Rutan
Obrázek Obrázek


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 17:41 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Takze jak nacist ROM jsem uz zjistil, staci ji klasicky otevrit pres OPEN (F3). Nicmene asi je to k nicemu, protoze ve volbe Peripherals-Disk se mi DIDAKTIK neobjevil.


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 17:56 
Offline
Pan Štábní
Uživatelský avatar

Registrován: 12 kvě 2013, 18:23
Příspěvky: 1248
Bydliště: Vsetín
Has thanked: 240 times
Been thanked: 434 times
Nechci prudit, ale podpora d80 je ve FUSE až od verze 1.2.0

2016-06-06 Philip Kendall <philip-fuse@shadowmagic.org.uk>
* Fuse 1.2.0 released.
* New features:
* Add Currah µSource emulation (Stuart Brady).
* Add Didaktik 80/40 emulation (Gergely Szasz).
* Capture BASIC video functions to SVG file (Stefano Bodrato).
* Support bash completion (Sergio Baldoví).

_________________
ZX Spectrum, Amiga


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 18:25 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Tak jsem se nechal nachytat.
Instaloval jsem podle tohoto webu:
https://misapuntesde.com/post.php?id=788
A pokud je D80 od 1.2.0 tak tam nepisou pravdive informace.
Dekuji @solaris104 za objasneni.

Chip


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 18:54 
Offline
Pan Štábní
Uživatelský avatar

Registrován: 23 bře 2014, 19:13
Příspěvky: 1607
Has thanked: 64 times
Been thanked: 274 times
Opravdu je v repozitáři Raspbianu tak stará verze?
Já mám v Raspberry Pi Desktopu na PC verzi 1.3.2, na Malině jsem to zatím nezkoušel.

_________________
"When I designed Voyager, I did it on an Apple II with 48K of memory, and I wrote my own Basic program." - Burt Rutan
Obrázek Obrázek


Nahoru
 Profil  
 
PříspěvekNapsal: 09 zář 2018, 19:21 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Podle vseho ano. Zkusim hodit na Raspberry Pi Ubuntu a podivam se co tam ma.


Nahoru
 Profil  
 
PříspěvekNapsal: 10 zář 2018, 16:37 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Tak jsem nahodil Ubuntu 16.04 na malinu.
Install it like this:
sudo apt update
sudo apt install fuse-emulator.common fuse-emulator-gtk fuse-emulator-utils libspectrum8 spectrum-roms

a bohuzel opet Fuse 1.1.1


Nahoru
 Profil  
 
PříspěvekNapsal: 10 zář 2018, 18:09 
Offline
Kecka

Registrován: 10 črc 2014, 00:57
Příspěvky: 68
Has thanked: 2 times
Been thanked: 55 times
chip128 píše:
Tak jsem nahodil Ubuntu 16.04 na malinu.
[...]
a bohuzel opet Fuse 1.1.1


a to sa akoze cudujes? ;] podla solarisovho prispevku, fuse 1.2.0 vyslo 6.6.2016 co je kus po tom co vyslo ubuntu 16.4 (napoveda: 16 je rok a 4 je mesiac ;]).

co tak tam hodit nieco menej historicke, ked uz nie nieco z 2018, tak aspon nieco z 2017. V (aktualne) stable debiane (debian 9 / Stretch), ktory vysiel 17.6.2017 je fuse verzia 1.3.2 . Tak skus povedzme raspbian-stretch ( https://www.raspberrypi.org/blog/raspbian-stretch/ ), ocakaval by som ze tam uz bude aspon ta 1.3.2 .


Nahoru
 Profil  
 
PříspěvekNapsal: 10 zář 2018, 18:15 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Vyzkousim, diky @ub880d.


Nahoru
 Profil  
 
PříspěvekNapsal: 11 zář 2018, 12:42 
Offline
Pan Štábní
Uživatelský avatar

Registrován: 11 čer 2013, 14:27
Příspěvky: 1577
Has thanked: 983 times
Been thanked: 269 times
ub880d píše:
V (aktualne) stable debiane (debian 9 / Stretch), ktory vysiel 17.6.2017 je fuse verzia 1.3.2

Nemám ověřeno na Raspbianu, ale ve Flatpaku na různých distrech by měla být nejnovější verze Fuse:
https://www.flatpak.org/setup/Raspbian/
https://flathub.org/apps/details/net.sf.fuse_emulator


Nahoru
 Profil  
 
PříspěvekNapsal: 11 zář 2018, 17:22 
Offline
Kecálek

Registrován: 13 bře 2016, 17:54
Příspěvky: 88
Has thanked: 11 times
Been thanked: 9 times
Takze skutecne je to tak. Raspbian Release date: 2018-06-27 uz ma Fuse 1.3.2
Stacilo dohrat spravnou Didaktik rom a uz krasne slape. DSK i D80 soubory krasne otevira.
Jenom mne potrapilo, ze pro Fuse je nutne mit preplou anglickou misto ceske klavesnice
jinak nefugovaly cislice na klavesnici.


Nahoru
 Profil  
 
PříspěvekNapsal: 11 zář 2018, 17:43 
Offline
Pan Štábní
Uživatelský avatar

Registrován: 23 bře 2014, 19:13
Příspěvky: 1607
Has thanked: 64 times
Been thanked: 274 times
Jo, to mě také malinko rozladilo, tak jsem si na spouštění udělal skriptík:
Kód:
#! /bin/bash

setxkbmap us
fuse-sdl --full-screen --rom-48 gama89.rom
setxkbmap cz

_________________
"When I designed Voyager, I did it on an Apple II with 48K of memory, and I wrote my own Basic program." - Burt Rutan
Obrázek Obrázek


Nahoru
 Profil  
 
Zobrazit příspěvky za předchozí:  Seřadit podle  
Odeslat nové téma Odpovědět na téma  [ Příspěvků: 13 ] 

Všechny časy jsou v UTC + 1 hodina


Kdo je online

Uživatelé procházející toto fórum: Žádní registrovaní uživatelé a 3 návštevníků


Nemůžete zakládat nová témata v tomto fóru
Nemůžete odpovídat v tomto fóru
Nemůžete upravovat své příspěvky v tomto fóru
Nemůžete mazat své příspěvky v tomto fóru
Nemůžete přikládat soubory v tomto fóru

Hledat:
Přejít na:  
Založeno na phpBB® Forum Software © phpBB Group
Český překlad – phpBB.cz